.mobile-menu {
  &-wrap {
    position: relative;
    border-top: 1px solid #e3e3e3;
    padding: 15px;
    display: none;
    background-color: white;

    @media screen and (min-width: 991px) {
      display: none !important;
    }

    .hdr-widget--product-search,
    .hdr-widget--menu-user {
      display: block !important;
      padding: 15px;
    }

    .hdr-widget--product-search {
      padding: 15px 0;
      .search-icon {
        right: 0;
      }
    }

    .hdr-widget--menu-user {
      margin-top: 15px;
      padding: 0;
      border: 1px solid #e3e3e3;
      a {
        display: block;
        color: inherit;
      }
      .menu-nologin-user-wrap a {
        padding: 10px;
        &:before {
          content: "\f023";
          font-family: "Fontawesome";
          display: inline-block;
          margin-right: 10px;
          vertical-align: middle;
        }
      }
      .menu-user-avatar {
        padding: 10px 15px;
        display: block;
        width: 100%;
        text-align: left;
        font-size: inherit;

        &:after {
          content: "\54";
          font-family: "Dripicons-v2";
          position: absolute;
          right: 20px;
          top: 20px;
        }

        img {
          display: inline-block;
          vertical-align: middle;
          margin-right: 10px;
        }

        span {
          display: inline-block;
          text-transform: capitalize;
        }
      }

      .menu-user-wrap {
        position: relative;
        display: none;
        opacity: 1;
        transform: translateY(0);
        border: none;
        padding: 0;
        &:before,
        &:after {
          display: none;
        }

        .menu-item {
          border-top: 1px solid #e3e3e3;

          .fa {
            display: inline-block;
            vertical-align: middle;
            margin-right: 15px;
          }
        }
      }
    }
  }

  .menu {
    list-style: none;
    margin: 0;
    padding: 0;
    border: 1px solid #e3e3e3;
    border-bottom: none;

    &-item {
      border-bottom: 1px solid #e3e3e3;
      a {
        padding: 10px 20px;
        display: block;
        position: relative;

        .fa,
        [class*="ico"],
        [class*="ti-"] {
          width: 16px;
          margin-right: 10px;
        }
      }
    }
    &-desc {
      display: none;
    }
    .sub-menu {
      list-style: none;
      margin: 0;
      padding-left: 0;
      padding-right: 0;
      border-top: 1px solid #e3e3e3;
      padding-left: 30px;

      .menu-item {
        border-left: 1px solid #e3e3e3;
        &:last-child {
          border-bottom: none;
        }
      }
    }
  }

  .open-sub {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    background: none;
    border: none;
    font-size: 16px;
    text-align: center;
    min-width: 48px;

    .dripicons-chevron-down {
      margin-right: 0 !important;
      display: inline-block;
      position: relative;
      transition: transform 0.3s ease;
    }

    &.active .dripicons-chevron-down {
      transform: rotate(180deg);
    }
  }
}

.mobile-menu-wrap {
  box-shadow: 0 10px 20px rgb(0 0 0 / 10%);
  z-index: 999;

  .current-menu-parent {
    .menu-label {
      font-weight: normal;
    }

    &:hover {
      > a > .menu-label {
        font-weight: bold;
      }
    }

    .menu-item-type-post_type {
      &:hover {
        > a > .menu-label {
          font-weight: bold;
        }
      }
    }
  }

  .fa-chevron-down,
  .fa-chevron-up {
    font-size: 12px;
  }

  .menu-item-has-children {
    .sub-menu.level-0 {
      .menu-item {
        display: none;
        opacity: 0;
        animation: translateX 300ms 60ms ease-in-out forwards;
      }
    }

    &.active {
      .sub-menu.level-0 {
        .menu-item {
          display: block;
        }
      }
    }
  }
}

@keyframes translateX {
  0% {
    opacity: 0;
    transform: translateX(60px);
  }
  80% {
    transform: translateX(-5px);
  }
  100% {
    opacity: 1;
    transform: translateX(0px);
  }
}
